Check whether the server is in rescue mode
curl --request GET \
--url https://my.server.express/api/v1/dedicated/{id}/rescue \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.server.express/api/v1/dedicated/{id}/rescue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.server.express/api/v1/dedicated/{id}/rescue"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"active": true,
"since": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Dedicated
Check whether the server is in rescue mode
Whether the box is booted into a rescue system, and since when (the latest ENABLE_RESCUE request, if nothing has asked to leave since). Readable by the owner, any team member and staff.
GET
/
v1
/
dedicated
/
{id}
/
rescue
Check whether the server is in rescue mode
curl --request GET \
--url https://my.server.express/api/v1/dedicated/{id}/rescue \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.server.express/api/v1/dedicated/{id}/rescue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.server.express/api/v1/dedicated/{id}/rescue"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"active": true,
"since": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Authorizations
bearerAuthapiToken
Session access token (JWT) from POST /v1/auth/login or /v1/auth/refresh. A session satisfies every API scope.
Path Parameters
The dedicated server's service id.